Bug 1564578 - [abrt] gpaste: g_type_check_instance_is_fundamentally_a(): gpaste-daemon killed by SIGSEGV
Summary: [abrt] gpaste: g_type_check_instance_is_fundamentally_a(): gpaste-daemon kill...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gpaste
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mohamed El Morabity
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b6396feed21d2c8bc14a4915f24...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-06 16:44 UTC by Maksim
Modified: 2019-05-28 20:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:48:44 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (30.13 KB, text/plain)
2018-04-06 16:44 UTC, Maksim
no flags Details
File: cgroup (409 bytes, text/plain)
2018-04-06 16:44 UTC, Maksim
no flags Details
File: core_backtrace (14.51 KB, text/plain)
2018-04-06 16:44 UTC, Maksim
no flags Details
File: cpuinfo (1.23 KB, text/plain)
2018-04-06 16:44 UTC, Maksim
no flags Details
File: dso_list (7.79 KB, text/plain)
2018-04-06 16:44 UTC, Maksim
no flags Details
File: environ (1.71 KB, text/plain)
2018-04-06 16:44 UTC, Maksim
no flags Details
File: exploitable (82 bytes, text/plain)
2018-04-06 16:44 UTC, Maksim
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-06 16:44 UTC, Maksim
no flags Details
File: maps (36.90 KB, text/plain)
2018-04-06 16:44 UTC, Maksim
no flags Details
File: mountinfo (5.25 KB, text/plain)
2018-04-06 16:44 UTC, Maksim
no flags Details
File: open_fds (845 bytes, text/plain)
2018-04-06 16:44 UTC, Maksim
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-04-06 16:44 UTC, Maksim
no flags Details

Description Maksim 2018-04-06 16:44:16 UTC
Version-Release number of selected component:
gpaste-3.28.1-1.fc28

Additional info:
reporter:       libreport-2.9.4
backtrace_rating: 4
cmdline:        /usr/libexec/gpaste/gpaste-daemon
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/libexec/gpaste/gpaste-daemon
journald_cursor: s=73ac8aae6aab41b2807f945e78827deb;i=1b6396;b=c388e5cd25ab402e93ec559e64fa77d7;m=7fcc6b94e;t=5692d5d4c6450;x=8849150a29dc677b
kernel:         4.16.0-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_is_fundamentally_a at gtype.c:4025
 #2 g_paste_image_item_set_state at src/libgpaste/core/gpaste-image-item.c:134
 #3 _g_paste_history_add at src/libgpaste/core/gpaste-history.c:264
 #4 g_paste_history_add at src/libgpaste/core/gpaste-history.c:320
 #5 g_paste_clipboards_manager_notify_finish at src/libgpaste/core/gpaste-clipboards-manager.c:116
 #6 g_paste_clipboards_manager_text_ready at src/libgpaste/core/gpaste-clipboards-manager.c:235
 #7 g_paste_clipboard_on_text_ready at src/libgpaste/core/gpaste-clipboard.c:250
 #8 request_text_received_func at gtkclipboard.c:1068
 #9 selection_received at gtkclipboard.c:960
 #13 g_signal_emit_by_name at gsignal.c:3487

Comment 1 Maksim 2018-04-06 16:44:21 UTC
Created attachment 1418241 [details]
File: backtrace

Comment 2 Maksim 2018-04-06 16:44:23 UTC
Created attachment 1418242 [details]
File: cgroup

Comment 3 Maksim 2018-04-06 16:44:25 UTC
Created attachment 1418243 [details]
File: core_backtrace

Comment 4 Maksim 2018-04-06 16:44:26 UTC
Created attachment 1418244 [details]
File: cpuinfo

Comment 5 Maksim 2018-04-06 16:44:28 UTC
Created attachment 1418245 [details]
File: dso_list

Comment 6 Maksim 2018-04-06 16:44:30 UTC
Created attachment 1418246 [details]
File: environ

Comment 7 Maksim 2018-04-06 16:44:31 UTC
Created attachment 1418247 [details]
File: exploitable

Comment 8 Maksim 2018-04-06 16:44:33 UTC
Created attachment 1418248 [details]
File: limits

Comment 9 Maksim 2018-04-06 16:44:35 UTC
Created attachment 1418249 [details]
File: maps

Comment 10 Maksim 2018-04-06 16:44:36 UTC
Created attachment 1418250 [details]
File: mountinfo

Comment 11 Maksim 2018-04-06 16:44:38 UTC
Created attachment 1418251 [details]
File: open_fds

Comment 12 Maksim 2018-04-06 16:44:39 UTC
Created attachment 1418252 [details]
File: proc_pid_status

Comment 13 Ben Cotton 2019-05-02 21:30:23 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2019-05-28 20:48:44 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.